Search documentation of wx

# View Source wxSysColourChangedEvent (wx v2.4.2)

Functions for wxSysColourChangedEvent class

This class is used for system colour change events, which are generated when the user changes the colour settings using the control panel. This is only appropriate under Windows.

Remark: The default event handler for this event propagates the event to child windows, since Windows only sends the events to top-level windows. If intercepting this event for a top-level window, remember to call the base class handler, or to pass the event on to the window's children explicitly.

See: Overview events

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxSysColourChangedEvent

## Events

Use `wxEvtHandler:connect/3` with `wxSysColourChangedEventType` to subscribe to events of this type.

# Summary

## Types

wxSysColourChanged()
wxSysColourChangedEvent()
wxSysColourChangedEventType()

# Types

Link to this type

# wxSysColourChanged()

View Source

    -type wxSysColourChanged() ::
              #wxSysColourChanged{type :: wxSysColourChangedEvent:wxSysColourChangedEventType()}.

Link to this type

# wxSysColourChangedEvent()

View Source

    -type wxSysColourChangedEvent() :: wx:wx_object().

Link to this type

# wxSysColourChangedEventType()

View Source

    -type wxSysColourChangedEventType() :: sys_colour_changed.